import type { Socket as IOSocket } from "socket.io-client";
export declare type ExecutionParameter = {
    operation: string;
    operationName?: string | null;
    variables?: {
        [key: string]: any;
    };
};
export declare type SocketIOGraphQLClient<TExecutionResult = unknown> = {
    execute: (opts: ExecutionParameter) => AsyncIterableIterator<TExecutionResult>;
    destroy: () => void;
};
export declare const createSocketIOGraphQLClient: <TExecutionResult = unknown>(socket: IOSocket) => SocketIOGraphQLClient<TExecutionResult>;
